.\"	$NetBSD: bah.4,v 1.16 2008/04/30 13:10:55 martin Exp $
.\"
.\" Copyright (c) 1995, 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Ignatios Souvatzis.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" The following requests are required for all man pages.
.Dd May 31, 1995
.Dt BAH 4 amiga
.Os
.Sh NAME
.Nm bah
.Nd ARCnet network driver for SMC COM90C26 based boards
.Sh SYNOPSIS
.Cd "bah* at zbus0"
.Sh DESCRIPTION
The
.Nm
interface provides access to the 2.5 Mb/s ARCnet network via the
.Tn SMC
COM90C26 + COM90C32
ARCnet chip set.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The interface MTU is 507 for protocols that do not use link level fragmentation
and 60480 bytes for the others. The routing layer may specify additional
limits.
.br
Currently supported protocols are IPv4(+ARP), and IPv6.
.Sh IP VERSION 4 CONSIDERATIONS
When the NOARP flag is set on the
.Nm
interface,
it does not employ the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network. Instead, it uses the least significant 8 bits of the IP address
as hardware address, as described in RFC 1051 and  RFC 1201.
.Pp
With the IFF_LINK0 flag cleared, IP and ARP encoding is done according to the
deprecated, but popular among Amiga users, RFC 1051 encoding (that
is, with simple header, packet type 240 / 241), and the MTU is 507.
.Pp
With the IFF_LINK0 flag set, IP/ARP/RARP encoding is done according to RFC 1201
(that is, with Packet Header Definition Standard header and packet type
212/213). The MTU is normally 1500.
.Pp
When switching between the two modes, do a
.Cd ifconfig interfacename down up
to switch the MTU.
.Pp
When the IFF_LINK2 flag is set, ARP packets are sent with the protocol type
encoded as it would be in the  ARCnet header, and decoded to the right protocol
encoding on reception. According to "assigned numbers", this is wrong, but
some legacy software (namely, AmiTCP 3.0beta) shows this bug.
.Sh HARDWARE
The
.Nm
interface supports the following Zorro II expansion cards:
.Bl -tag -width "AMERISTAR" -offset indent
.It Em A2060
Commodore's ARCnet card, manufacturer\ 514, product\ 9
.It Em AMERISTAR
Ameristar's ARCnet card, manufacturer\ 1053, product\ 9
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr ifconfig 8
.Rs
.%J RFC
.%N 1051
.%D March 1988
.%T "Standard for the transmission of IP datagrams and ARP packets over ARCNET networks."
.%A P.A. Prindeville
.Re
.Rs
.%J RFC
.%N 1201
.%T "Transmitting IP traffic over ARCNET networks."
.%A D. Provan
.%D February 1991
.Re
.Rs
.%J RFC
.%N 2497
.%T "Transmission of IPv6 Packets over ARCnet Networks."
.%A I. Souvatzis
.%D January 1999
.Re
.Pp
ARCnet Packet Header Definition Standard, Novell Inc., 1989
.Sh STANDARDS
RFC 1051/RFC1201 with ARP, or without, using direct mapping of lower 8 IP
address bits instead.
.Sh HISTORY
The
.Tn Amiga
.Nm
interface first appeared in
.Nx 1.1 .
ARP support was added in
.Nx 1.3 .
.Sh AUTHORS
.An Ignatios Souvatzis
